#!/usr/bin/perl -w
my $name = shift or die "usage: $0 <player name>\n";
use DBI;
use strict;
my $found;

my $dbh = DBI->connect("dbi:SQLite:dbname=players.db") or die;
my $topon = $dbh->prepare("select time from log where name=? order by time desc limit 1");
$topon->execute($name);
while(my @data = $topon->fetchrow_array()) {
   print "$name last seen on " . localtime($data[0]) . "\n";
   $found++;
}

print "Player $name not found. Did you know this is case sensitive?\n" unless $found;
