#!/usr/bin/perl -w
# See all of a players login/logout times
my $name = shift or die "usage: $0 <player name>\n";
use DBI;
use strict;
my $found;

my $dbh = DBI->connect("dbi:SQLite:dbname=players.db") or die;
my $topon = $dbh->prepare("select time,action from log where name=? order by time desc");
$topon->execute($name);
while(my @data = $topon->fetchrow_array()) {
   my $action;
   if ($data[1] == 0) { $action = "logout"; } else { $action = "login"; }
   print "$name $action " . localtime($data[0]) . "\n";
   $found++;
}

print "Player $name not found. Did you know this is case sensitive?\n" unless $found;
